function modelValue = getModelValue(tmp_target,decision_value,w,c)

% Calculate the objective function value in OP2 (line 12 in the algorithm) 

modelValue = 0;
label_num = size(tmp_target,1);
for p = 1:label_num
    modelValue = modelValue+0.5*w(p,:)*w(p,:)';
end

labelValue = max(decision_value.*tmp_target);
nonLabelValue = max(decision_value.*(~tmp_target));
xi = 1-(labelValue-nonLabelValue);
xi(xi<0) = 0;
modelValue = modelValue + c*sum(xi);
end

