%This is an examplar file on how the M3PL program could be used (The main function is "M3PL.m" )
%
%Type 'help M3PL' under Matlab prompt for more detailed information
%
%N.B.: Before envoking the M3PL function, please ensure that LibLinear package [1] is put under the matlab path and cvx toolbox [2] containing Mosek solver is also pre-installed.
%
%[1] Rong-En Fan, Kai-Wei Chang, Cho-Jui Hsieh, Xiang-Rui Wang, and
%Chih-Jen Lin. Liblinear: A library for large linear classification. Journal of Machine Learning Research, 9:1871C1874, 2008 https://www.csie.ntu.edu.tw/~cjlin/liblinear/
%[2] Michael Grant and Stephen Boyd. CVX: Matlab software for disciplined convex programming, version 2.1. http://cvxr.com/cvx, March 2014.

load('sample data.mat'); % Loading the file containing the necessary inputs for calling the M3PL function

cvx_solver Mosek
C_max=0.01;% Set the maximum value for regularization parameter  

[Pre_Labels,Outputs,Accuracy] = M3PL(train_data,train_p_target,test_data,test_target,C_max);      
fprintf('classification accuracy: %f\n',Accuracy);
